/**
 * Plugin Name: Export vers Prepafacile pour WooCommerce
 * Plugin URI: https://www.presta-magician.com
 * Description: Export orders infos to prepafacile
 * Version: 1.0.0
 * Author: Presta Magician
 * Author URI: https://www.presta-magician.com
 * Text Domain: woo2prepafacile
 * Domain Path: /languages
 * Copyright 2020 Presta Magician. All rights reserved.
 * Tested up to: 5.5
 * WC tested up to: 4.3
 **/
(function ($) {
    $(document).ready((function () {         
      

        $("#woo2prepafacile_save_all_settings").on("click", (function () {
            carrierBox = [];
            $("input[name='carrierBox']:checked").each(function(){  
                carrierBox.push($(this).val());
            });

            typeBox = [];
            $("[name='typeBox']").each(function(){  
                typeBox.push($(this).val());
            });

            var values = {
                contrat: $('#woo2prepafacile_contrat').val(),
                expediteur: $('#woo2prepafacile_expeditor').val(),             
                stateExport: $('#woo2prepafacile_export_status').val(),
                shippedStatus: $('#woo2prepafacile_shipped_status').val(),
                carrierBox: carrierBox,
                typeBox: typeBox,                
                action: "woo2psaveallsettings",
                security: woo2prepafacile_admin_ajax_object.security
            };
            $.ajax({
                type: "POST",
                url: ajaxurl,
                headers: {
                    "cache-control": "no-cache"
                },
                data: values,
                beforeSend: function () {
                    $("#woo2prepafacile_save_all_settings .fas").show();
                },
                success: function (response) {
                },
                complete: function (data) {
                    $("#woo2prepafacile_save_all_settings .fas").hide();
                 }
            });
        }));

        $("#prepafacile_order_tracking").on("click", (function () {
         
            var values = {
                tracking_number: $('#prepafacile_tracking_number').val(),
                order_id: $(this).attr('data-order_id'),
                shipping_type: $('#shipping_type').val(),   
                shipping_name: $('#shipping_type option:selected').text(),
                order_weight: $('#prepafacile_order_weight').val(), 
                action: "woo2psavetrackingnumber",
                security: woo2prepafacile_admin_ajax_object.security
            };
            $.ajax({
                type: "POST",
                url: ajaxurl,
                headers: {
                    "cache-control": "no-cache"
                },
                data: values,
                beforeSend: function () {
                    $("#prepafacile_order_tracking .fas").show();
                },
                success: function (response) {
                    $('#prepafacile_order_export_container').show();
                },
                complete: function (data) {
                    $("#prepafacile_order_tracking .fas").hide();
                }
            });
        }));

        $("#woo2prepafacile_export_orders").on("click", (function () {

            alert('Uniquement disponible avec la version Premium !')
        }));

        $('#ckeckAll').click(function (event) {
            if (this.checked) {
                // Iterate each checkbox
                $(':checkbox').each(function () {
                    this.checked = true;
                });
            } else {
                $(':checkbox').each(function () {
                    this.checked = false;
                });
            }
        });



     
        $("#importPrepafacileFileForm").on("submit", (function (e) {
          
            e.preventDefault();

            alert('Only available in the Premium version !');

        }));


        $("#prepafacile_order_export").on("click", (function () {
         
            var values = {
                tracking_number: $('#prepafacile_tracking_number').val(),
                order_id: $(this).attr('data-order_id'),
                shipping_type: $('#shipping_type').val(),   
                shipping_name: $('#shipping_type option:selected').text(),
                order_weight: $('#prepafacile_order_weight').val(), 
                action: "woo2pexportorder",
                security: woo2prepafacile_admin_ajax_object.security
            };
            $.ajax({
                type: "POST",
                url: ajaxurl,
                headers: {
                    "cache-control": "no-cache"
                },
                data: values,
                beforeSend: function () {
                    $("#prepafacile_order_export .fas").show();
        
                },
                success: function (response) {
                    $('#woo2p_export_order_file_link').attr('href',response);
                    $('#woo2p_export_order_file_link').text(response);
            
                },
                complete: function (data) {
                    $("#prepafacile_order_export .fas").hide();
        
                }
            });
        }));

    
        $('#woo2p_preview_tracking_link').on('click', function(e){
            e.preventDefault();
            this.target ='_blank';
            tracking_number = $('#prepafacile_tracking_number').val();
            href = 'https://www.laposte.fr/outils/suivre-vos-envois?code='+tracking_number;
            window.open(href);
        
        });

        $('#prepafacile_order_tracking_display').on('click', function (){
            $('#woo2p_display_box').toggle();
        });
        
    }));





})(jQuery);